Subject: Re: Fwd: Ongoing projects - status update as of 2023/12/13 / requests for clarification
From: Michal Siemaszko <[email-masked]>
To: Jürgen Albert <[email-masked]>, Mark Hoffmann <[email-masked]>
Date: Wed, 13 Dec 2023 15:57:31 +0100

Hi,

Status update as of 13.11.2023 is as per information I passed on via 
GitHub pull requests and Slack, i.e.:

  - Exporters for EMF
https://github.com/geckoprojects-org/org.gecko.emf.utils/pull/36

  - MDO
https://github.com/de-jena/MDO/pull/8

Since yesterday I am working on Swagger / OpenAPI issues we discussed 
(support for GeoJSON, etc.).

Regards,

-- 
   Michael H. Siemaszko
   Telegram: mhsiemaszko
   Email:[email-masked],
          [email-masked]
   WWW:http://ideas.into.software/
   GitHub:https://github.com/ideas-into-software/
   LinkedIn:http://www.linkedin.com/in/mhsiemaszko/
   Twitter:https://twitter.com/IntoSoftware/

On 12/6/23 15:58, Michal Siemaszko wrote:
>
> Hi,
>
> Just a short note before our today's meeting - status update is as per 
> information I passed on over the weekend, in addition to earlier 
> status updates (27.11, 20.11), attached, which you are probably going 
> through right now.
>
> Regards,
> Michael
>
>
> -------- Forwarded Message --------
> Subject: 	Re: Ongoing projects - status update as of 2023/11/27 / 
> requests for clarification
> Date: 	Mon, 27 Nov 2023 00:54:08 +0100
> From: 	Michal Siemaszko <[email-masked]>
> To: 	Jürgen Albert <[email-masked]>, Mark Hoffmann 
> <[email-masked]>
>
>
>
> Hi,
>
> Status update as of 27.11.2023 is the following:
>
> *1*. I am working on Gecko EMF "R" Language Exporter, as per your 
> preference Juergen, i.e.:
>
>  * I've set up NodeJS environment;
>
>  * I've looked into JavaScript/TypeScript library you recommended 
> through Stefan, i.e. https://github.com/rsharp-lang/rdata-ts, but it 
> turned out to have too many problems (I counted at least 5) which 
> prevented me from using it, including name clash with existing NPM 
> package (https://www.npmjs.com/package/rdata); it is not clear why it 
> was re-written, not even its documentation is updated (using 
> documentation from original, https://github.com/hirenj/node-rdata), so 
> perhaps it is unfinished; so I switched to the original 
> (https://github.com/hirenj/node-rdata), i.e. what 
> https://github.com/rsharp-lang/rdata-ts is based on;
>
>  * Using https://github.com/hirenj/node-rdata I was able to 
> successfully run tests and generate RData files, which I verified via 
> https://posit.cloud/ (R Studio running in the cloud, using their free 
> plan https://posit.cloud/plans);
>
>  * Having verified that JavaScript code and its output, I am working 
> on rewriting this into Java;
>
>  * My goal is to deliver working version of Gecko EMF "R" Language 
> Exporter by end of this month at the latest;
>
>
> *2*. Please address other items from summary sent last week 
> (2023/11/20), attached - you were busy last week, so these remain to 
> be addressed.
>
> *3*. Regarding our meeting scheduled for today (2023/11/27) at 4 PM - 
> I would like to ask that we reschedule it as I will not be available 
> at that time; perhaps for evening or some time on Tuesday, as you see fit.
>
>
> Regards,
> -- 
>            Michael H. Siemaszko
>            Telegram: mhsiemaszko
>            Email:[email-masked],
>                   [email-masked]
>            WWW:http://ideas.into.software/
>            GitHub:https://github.com/ideas-into-software/
>            LinkedIn:http://www.linkedin.com/in/mhsiemaszko/
>            Twitter:https://twitter.com/IntoSoftware/
>